html {
  scroll-behavior: smooth;
}
.mx-w-1380px{
  max-width: 1400px;
  padding: 0 10px;
  margin: auto;
}
.fm-card-text{
  font-size: 18px;
  font-family: Montserrat-Medium;
  line-height: 1.3;
}
.fm-card-text .col-6,
.fm-card-text .col-12{
  line-height: 1;
  display: flex;
  align-items: center;
  gap: 7px;
}
.scrollSpyHeader {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 22px;
  gap: 15px;
  background: #fff;
  width: 100%;
  position: sticky;
  top: 75px;
  z-index: 14;
  border-bottom: 1px solid #E2E4E6;
  overflow-x: auto;
  scrollbar-width: none;
}
.scrollSpyHeaderBtn {
  padding: 12px 20px;
  background: #f2f3f4;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  color: #575d68;
  font-size: 18px;
  font-family: Montserrat-Medium;
  cursor: pointer;
  white-space: nowrap;
}
.scrollSpyHeaderBtn.active {
  background: #0069ff;
  color: #ffffff;
  font-family: Montserrat-SemiBold;
  box-shadow: 0 10px 15px -3px rgba(99, 102, 241, 0.25), 0 4px 6px -4px rgba(99, 102, 241, 0.25);
}

.scrollSpyHeaderBtn:not(.active):hover{
  background-color: #E8F1FF;
  color: #005FE5;
}
.scrollSpyHeaderBtn:not(.active):hover svg g,
.scrollSpyHeaderBtn:not(.active):hover svg path {
  stroke: #005FE5;
}
.scrollSpyHeaderBtn.active svg g,
.scrollSpyHeaderBtn.active svg path {
  stroke: #fff;
}
.scrollSpyBadge{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 10px 20px;
  background: #E8F1FF;
  border-radius: 50px;
  color: #0069FF;
  font-size: 18px;
  font-family: Montserrat-Medium;
  width: fit-content;
  margin: 0px auto 20px;
  line-height: 1;
}
.coming-soon-badge{
  background: #FFFFFF;
  box-shadow: 0px 1px 4px 0px #00000040;
  color: #0069FF;
  font-family: Montserrat-SemiBold;
  font-size: 13px;
  padding: 4px 9px;
  border-radius: 50px;
  margin-bottom: 16px;
  display: inline-block;
}

/* AI power creation css */
.bento-grid-container {
  max-width: 1380px;
  margin: 40px auto 4px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 32px;
}

.bento-grid-card {
  position: relative;
  border-radius: 18px;
  overflow: hidden;
}
.card-flyer {
  grid-column: span 2;
  grid-row: span 1;
}
.card-design {
  grid-column: span 1;
  grid-row: span 2;
}
.card-poster {
  grid-column: span 2;
  grid-row: span 1;
}
.card-video {
  grid-column: span 1;
  grid-row: span 2;
}
.card-image {
  grid-column: span 2;
  grid-row: span 1;
}
.card-sticker {
  grid-column: span 2;
  grid-row: span 1;
}

.bento-grid-card img {
  width: 100%;
  height: auto;
  object-fit: cover;
}
.bento-grid-card .img-small{
  display: none;
}
.bento-grid-card-content {
  position: absolute;
  width: 100%;
  max-width: 420px;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  padding: 0 30px;
}

.bento-grid-card.right .bento-grid-card-content {
  left: auto;
  right: 0;
}

.bento-grid-card.bottom .bento-grid-card-content {
  top: auto;
  bottom: 30px;
  transform: none;
}

.bento-grid-card-content h3 {
  font-size: 33px;
  font-family: Montserrat-Bold;
  color: #151515 !important;
  margin: 0;
  padding: 0;
}

.bento-grid-card-content p {
  font-size: 18px;
  font-family: Montserrat-Medium;
  color: #575D68 !important;
  margin: 12px 0 26px;
  padding: 0;
  line-height: 1.2;
}

.bento-grid-card-content button {
  background: #0069FF;
  color: #ffffff;
  font-size: 18px;
  font-family: Montserrat-SemiBold;
  padding: 11.75px 27px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: 0.5s;
  box-shadow: 0px 1px 4px 0px #00000040;
}
.bento-grid-card-content button:not(.no-drop):hover{
  transition: 0.5s;
  background: #005fe5 !important;
  box-shadow: 0px 3px 10px 0px #00000080;
}
.bento-grid-card-content .ai-design-btn:hover{
  box-shadow: 1px 1px 10px 0px #FFFFFF  !important;
}

/* typography tools */
.typography-tools-section {
  max-width: 1400px;
  margin: 24px auto 0;
  padding: 0 20px;
}

.typography-tools-flex {
  display: flex;
  flex-wrap: wrap; 
  gap: 24px;
  justify-content: center;
  align-items: stretch; 
}

.typography-tool-card {
  background: #ffffff;
  border: 1px solid #E8E6E0;
  border-radius: 20px;
  padding: 20px;
  box-sizing: border-box;
  transition: all 0.3s ease;
  width: calc(25% - 20px);
  min-width: 270px;
  height: stretch;
}
.img-tab-card img{
  width:100%
}

.typography-tool-card:hover {
  border: 1px solid transparent;
  box-shadow: 0 12px 40px 0 rgba(0, 0, 0, 0.10), 0 4px 12px 0 rgba(0, 0, 0, 0.06);
  transition: all 0.3s ease;
}

.tool-banner-preview {
  height: 72px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 24px;
  font-size: 22px;
  gap: 15px;
  font-family: Montserrat-ExtraBold;
  padding: 0 20px;
  white-space: nowrap;
}
.tool-banner-preview svg{
  flex-shrink: 0;
}
.bg-fancy     { background: #FFEFE7;}
.bg-glitch    { background: #D8E8FF;}
.bg-translate { background: #E8E3FF; color: #7B2ECD;}
.bg-writer    { background: #E0F9EB;color: #00500A;}
.bg-theme     { background: #FFE0E4; color: #6E0F2D;}
.bg-curve     { background: #E3FFFE; color: #027C78;}
.bg-fonts     { background: #FEFCE8; color:#854D0E ;}
.bg-art       { background: #FDF2F8; color: #9D174D;}

.tool-title {
  font-size: 20px;
  color: #151515;
  margin: 0 0 12px 0;
  font-family: Montserrat-Bold;
}

.tool-desc {
  font-size: 14px;
  color: #575D68;
  line-height: 1.2;
  margin: 0;
  font-family: Montserrat-Medium;
}
.typography-tools-bar{
  background: linear-gradient(135deg, rgba(200, 223, 255, 0.08) 0%, #EEF2FF 100%);
  border: 1px solid #9CC5FF;
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 20px;
  width: 100%;
  margin-top: 40px;
  color: #575D68;
  font-family: Montserrat-Regular;
  font-size:16px;
  padding: 29px 60px;
}
.typography-tools-bar-heading{
  color: #151515;
  font-family: Montserrat-Bold;
  font-size:36px;
}
.img-tab-card-container{
  display: flex;
  gap: 30px;
  align-items: stretch;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 50px;
}

/* image tab */
.img-tab-card{
  border: 1px solid #E8E6E0;
  background: #fff;
  width: calc(33% - 16px);
  border-radius: 28px;
  overflow: hidden;
}
.img-tab-card:hover{
  box-shadow: 0 24px 64px 0 rgba(0, 0, 0, 0.12), 0 8px 24px 0 rgba(0, 0, 0, 0.08);
}
.img-tab-card-content h3{
  font-size: 27px;  
  color: #151515;
  margin: 20px 0 15px 0;
  font-family: Montserrat-Bold;
}
.img-tab-card-content p{
  font-size: 18px;  
  color: #575D68;
  font-family: Montserrat-Medium;
  padding-bottom: 0px;
  margin-bottom: 20px;
}
/* professional tab */

.professional-tab-card{
  height: stretch;
  position: relative;
  padding-bottom: 75px;
}
.professional-tab-card-content button {
  background: #0069FF;
  color: #ffffff;
  font-size: 18px;
  font-family: Montserrat-SemiBold;
  padding: 11.75px 27px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  transition: 0.5s;
  box-shadow: 0px 1px 4px 0px #00000040;
  position: absolute;
  bottom: 25px;
}
/* Share tab  */

html {
  scroll-behavior: smooth;
}
.ef-card6{
  border: 2px solid rgba(255, 255, 255, 0);
  background-color: #E3FFFE;
  border-radius: 10px;
}
.ef-card6:hover{
  border: 2px solid #027C78!important;
}
.no-drop {cursor: no-drop !important;}
.ai-flyer-card {
  max-height: 365px;
  min-height: 335px;
  border: 2px solid #ffffff;
  padding: 30px 22px 30px 16px;
}
.container-sm{
  max-width: 1400px !important;
}
.f-feat-items {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 620px;
  margin: 33px auto 0px;
  padding-bottom: 40px;
  flex-wrap: wrap;
  gap: 15px;
  color:#fff !important;
}
.f-feat-item {
    font-family: "Montserrat-SemiBold";
    font-size: 14px;
    letter-spacing: 0px;
    color: #ffffff;
}
.container-custom .container{
  max-width: 1360px;
}
.sec-first-button{
  width: 100%;
  max-width: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#coming-soon-popup {
  position: fixed;
  z-index: 9999;
  background: #fff;
  border-radius: 7px;
  padding: 8px 15px;
  box-shadow: 0px 4px 14px 0px #00000040;
  white-space: nowrap;
  width: max-content;
  max-width: calc(100vw - 20px);
  font-size: 16px; 
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: auto; 
  font-family: Montserrat-SemiBold;
}

#coming-soon-popup .text {
  color: #151515;
  padding-left: 10px; 
}

#coming-soon-popup .icon {
    display: flex;
    align-items: center;
}
@media screen and (max-width: 1840px) {
  .resource-cards {
    justify-content: center;
  }
}
@media screen and (max-width: 790px) {
  .resource-cards {
    justify-content: start;
  }
}
@media screen and (max-width: 1850px) and (min-width: 1500px) {
    .resource-card-heading {
        max-width: 17ch !important;
    }
}
@media (max-width: 1600px) {
  .scrollSpyHeader {
    top: 60px;
  }
}
@media (max-width:1400px) {
  .ai-flyer-card {
    max-width: none;
    max-height: 272px;
    min-height: 200px;
    width: auto;
  }
}
@media (max-width:1300px) {
  .bento-grid-card-content{
    width: 400px;
  }
  .bento-grid-card-content:has(.coming-soon-badge) .coming-soon-badge{
    margin-bottom: 8px;
  }
  .bento-grid-card-content:has(.coming-soon-badge) .bento-grid-card-content p{
    margin: 8px 0 13px;
  }
}

@media (max-width:1260px) {
  .bento-grid-container{
    gap: 20px;
  }
  .bento-grid-card .img-big{
    display: none;
  }
  .bento-grid-card .img-small{
    display: block;
  }
  .bento-grid-card{
    grid-column: span 1 !important;
    grid-row: span 1 !important;
    position: static;
    border-radius: 0px;
  }
  .bento-grid-card .bento-grid-card-content{
    top: auto !important;
    bottom: 15px !important;
    padding: 10px 0px;
    transform: none;
    left: auto !important;
    right: auto !important;
    width: 100%;
    position: static;
    border-radius: 0px;
    display: flex;
    flex-direction: column;
    height: calc(100% - (min(100vw, 1380px) - 20px - 64px) / 3 * 560 / 710);
  }
  .coming-soon-badge{
    display: none;
  }
  .coming-soon-badge{
    align-self: baseline;
  }
  .bento-grid-card-content h3{
    font-size: 24px;
  }
  .bento-grid-card-content p{
    margin:8px 0 12px;
    font-size: 16px;  
  }
  .bento-grid-card-content button{
    font-size: 16px;
    padding: 8px 20px;
    margin-top: auto;
    align-self: flex-start;
  }
}
@media (max-width: 1220px) {
  .img-tab-card{
    width: calc(50% - 20px);
  }
  .img-tab-card-container{
    gap: 20px;
  }
}
@media (max-width: 1200px) {
  .typography-tool-card{
    width: calc(33% - 20px);
  }
  .ai-flyer-card {
    max-width: none;
    max-height: 300px;
    min-height: 200px;
    width: auto;
  }
  .fm-subheading{
    line-height: 1.15;
  }
  .fm-card-text.row .col-12{
    line-height: 1.2 !important;
    white-space: nowrap !important;
  }
  .fm-card-text.row .col-12 svg{
    min-height: 20px !important;
    min-width: 20px !important;
  }
}
@media (max-width: 1150px) {
  .scrollSpyHeader {
    top: 59px;
  }
}
@media (max-width:1065px) {
  .bento-grid-container {
    grid-template-columns: repeat(2, 1fr);
    max-width: 770px;
  }
  .bento-grid-card .bento-grid-card-content{
      height: calc(100% - (min(100vw, 770px) - 20px - 20px) / 2 * 560 / 710);
  }
  .typography-tools-flex{
    gap: 15px;
  }
}
@media (max-width: 1023px) {
  .scrollSpyHeader {
    top: 58px;
  }
  .ai-flyer-card {
    max-width: none;
    max-height: 330px;
    min-height: 200px;
    width: auto;
  }
}
@media (max-width:968px) {
  .scrollSpyHeader{
    justify-content: start !important;
  }
}
@media (max-width:890px) {
  .typography-tool-card{
    width: calc(50% - 10px);
    min-width: 250px;
  }
}
@media (max-width:770px) {
  .bento-grid-card-content h3{
    font-size: 22px;
  }
  .bento-grid-card-content p{
    font-size: 13px;  
  }
  .bento-grid-card .bento-grid-card-content{
    bottom:10px !important;
  }
  .typography-tools-bar{
    overflow-x: auto;
    white-space: nowrap;
  }
}
@media (max-width: 768px) {
  .scrollSpyHeader {
    top: 53px;
  }
  .scrollSpyHeader {
    padding:10px;
  }
  .scrollSpyHeaderBtn{
    padding: 8px 15px;
    font-size: 15px;
  }
  .fm-card-text{
    font-size: 15px;
  }
  .img-tab-card-content h3{
    font-size: 20px;  
  }
  .img-tab-card-content p{
    font-size: 13px;  
    padding-bottom: 0px;
    margin-bottom: 15px;
  }
  .typography-tools-bar{
    font-size: 14px;
  }
  .typography-tools-bar-heading{
    font-size: 23px;
  }
  .ai-flyer-card {
    max-width: none;
    max-height: 232px;
    min-height: 200px;
    width: auto;
  }
  .no-drop {
      background: #9599A0 !important;
  }
}
@media (max-width:670px) {
  .bento-grid-container {
    grid-template-columns: repeat(1, 1fr);
    max-width: 450px;
  }
  .bento-grid-card-content{
    height:auto !important;
  }
  .img-tab-card{
    width: 100%;
  }
}
@media (max-width: 576px) {
  .ai-flyer-card {
    max-height: none;
    min-height: none;
    padding: 25px 15px;
  }
}
@media (max-width:560px) {
  .typography-tool-card{
    width: 100%;
  }
}
@media screen and (max-width: 430px) {
  #coming-soon-popup {
    font-size: 12px;
    padding: 6px 10px;
  }
  #coming-soon-popup .icon svg{
      height: 16px;
      width: 16px;
  }
}
@media screen and (max-width: 380px) {
  .ai-flyer-card {
    width: auto !important;
    height: auto !important;
  }
}
@media screen and (max-width: 340px) {
  #coming-soon-popup {
    font-size: 11px;
  }
}
@media (hover: none) and (pointer: coarse) {
    .no-drop {
        background: #9599A0 !important;
    }
}